zfs: update to 2.1.9.

This commit is contained in:
Zach Dykstra 2023-01-23 15:30:52 -06:00 committed by Toyam Cox
parent db2581b2c4
commit 3436ae2d68
2 changed files with 2 additions and 38 deletions

View File

@ -1,36 +0,0 @@
From 07f2793e869196fcbcd5057d9ada377674262fe3 Mon Sep 17 00:00:00 2001
From: Brian Behlendorf <behlendorf1@llnl.gov>
Date: Wed, 29 Jun 2022 15:33:38 -0700
Subject: [PATCH] dracut: fix typo in mount-zfs.sh.in
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Format the `zpool get` command correctly. The -o option must
be followed by "all" or the requested field name.
Reviewed-by: Ahelenia Ziemiańska <nabijaczleweli@nabijaczleweli.xyz>
Reviewed-by: George Melikov <mail@gmelikov.ru>
Signed-off-by: Brian Behlendorf <behlendorf1@llnl.gov>
Closes #13602
Signed-off-by: Alexis Ehret <git@08a.re>
---
contrib/dracut/90zfs/mount-zfs.sh.in | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/contrib/dracut/90zfs/mount-zfs.sh.in b/contrib/dracut/90zfs/mount-zfs.sh.in
index fa9f1bb76..b0eb614a6 100755
--- a/contrib/dracut/90zfs/mount-zfs.sh.in
+++ b/contrib/dracut/90zfs/mount-zfs.sh.in
@@ -82,7 +82,7 @@ ZFS_DATASET="${ZFS_DATASET:-${root}}"
ZFS_POOL="${ZFS_DATASET%%/*}"
-if ! zpool get -Ho name "${ZFS_POOL}" > /dev/null 2>&1; then
+if ! zpool get -Ho value name "${ZFS_POOL}" > /dev/null 2>&1; then
info "ZFS: Importing pool ${ZFS_POOL}..."
# shellcheck disable=SC2086
if ! zpool import -N ${ZPOOL_IMPORT_OPTS} "${ZFS_POOL}"; then
--
2.37.3

View File

@ -1,6 +1,6 @@
# Template file for 'zfs'
pkgname=zfs
version=2.1.7
version=2.1.9
revision=1
build_style=gnu-configure
configure_args="--with-config=user --with-mounthelperdir=/usr/bin
@ -16,7 +16,7 @@ maintainer="Toyam Cox <Vaelatern@voidlinux.org>"
license="CDDL-1.0"
homepage="https://openzfs.github.io/openzfs-docs/"
distfiles="https://github.com/openzfs/zfs/releases/download/zfs-${version}/zfs-${version}.tar.gz"
checksum=6462e63e185de6ff10c64ffa6ed773201a082f9dd13e603d7e8136fcb4aca71b
checksum=6b172cdf2eb54e17fcd68f900fab33c1430c5c59848fa46fab83614922fe50f6
# dkms must be before initramfs-regenerate to build modules before images
triggers="dkms initramfs-regenerate"
dkms_modules="zfs ${version}"